org.apache.hadoop.yarn.server.nodemanager.timelineservice

## Class NMTimelineEvent

- java.lang.Object
- - org.apache.hadoop.yarn.event.AbstractEvent<NMTimelineEventType>
  - - org.apache.hadoop.yarn.server.nodemanager.timelineservice.NMTimelineEvent

- All Implemented Interfaces:
    org.apache.hadoop.yarn.event.Event<NMTimelineEventType>

      public class NMTimelineEvent
      extends org.apache.hadoop.yarn.event.AbstractEvent<NMTimelineEventType>

  Event posted to NMTimelinePublisher which in turn publishes it to timelineservice v2.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NMTimelineEvent(NMTimelineEventType type, org.apache.hadoop.yarn.api.records.ApplicationId appId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.yarn.api.records.ApplicationId` | `getApplicationId()`

    - ### Methods inherited from class org.apache.hadoop.yarn.event.AbstractEvent

      `getTimestamp, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NMTimelineEvent

          public NMTimelineEvent(NMTimelineEventType type,
                                 org.apache.hadoop.yarn.api.records.ApplicationId appId)

  - ### Method Detail

    - #### getApplicationId

          public org.apache.hadoop.yarn.api.records.ApplicationId getApplicationId()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.